package org.greenstone.gatherer.msm;

import java.io.*;
import org.greenstone.gatherer.msm.MetadataSet;
import org.greenstone.gatherer.util.Utility;
import org.w3c.dom.*;

public class MDSTest {

    static public void main(String[] args) {
	new MDSTest(args[0]);
    }

    private long final_memory;
    private long max_memory;
    private long starting_memory;

    public MDSTest(String filename) {
	//Runtime runtime = Runtime.getRuntime();
	// Determine starting memory
	//max_memory = runtime.maxMemory();
	//System.err.println("Maximum memory: " + max_memory);
	//starting_memory = runtime.freeMemory();
	//System.err.println("Inital memory use: " + (max_memory - starting_memory));
	// Parse and load the requested metadata set.
	MetadataSet set = new MetadataSet(new File("metadata" + File.separator + filename));
	// Output memory now
	//System.err.println("Loading document took: " + ((max_memory - runtime.freeMemory()) - starting_memory));
	// Now print out the name and description of the set, as well as the same for each element.
	System.err.println("Name: " + set.getName());
	System.err.println("Description: " + set.getDescription());
	//System.err.println("***** Elements *****");
	for(int i = 0; i < set.size(); i++) {
	    Element element = set.getElement(i);
	    System.err.println(MSMUtils.getIdentifier(element) + ": " + MSMUtils.getDescription(element));
	}
	//System.err.println("***** ******** *****");
	// Output final memory
	//System.err.println("Further exploring DOM took: " + ((max_memory - runtime.freeMemory()) - starting_memory));
    }
}
